import * as tsp from 'typescript/lib/protocol';
import * as lsp from 'vscode-languageserver';
import { Logger } from './logger';
import { EventTypes } from './tsp-command-types';
declare class FileDiagnostics {
    readonly uri: string;
    private readonly diagnosticsPerKind;
    constructor(uri: string);
    private readonly returnDiagnostics;
    updateDiagnostics(kind: EventTypes, diagnostics: tsp.Diagnostic[]): Promise<lsp.PublishDiagnosticsParams>;
    protected getDiagnostics(): lsp.Diagnostic[];
}
export declare class DiagnosticEventQueue {
    protected publishDiagnostics: (params: lsp.PublishDiagnosticsParams) => void;
    protected logger: Logger;
    protected readonly diagnostics: Map<string, FileDiagnostics>;
    constructor(publishDiagnostics: (params: lsp.PublishDiagnosticsParams) => void, logger: Logger);
    updateDiagnostics(kind: EventTypes, event: tsp.DiagnosticEvent): void;
}
export {};
//# sourceMappingURL=diagnostic-queue.d.ts.map